Bug 177136 - CVE-2006-0095 dm-crypt key leak
CVE-2006-0095 dm-crypt key leak
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Morris
Brian Brock
: Security
Depends On:
Blocks: 168430
  Show dependency treegraph
Reported: 2006-01-06 11:47 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 16:09:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Upstream patch (1.28 KB, patch)
2006-01-11 10:14 EST, James Morris
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2006-01-06 11:47:49 EST
CVE-2006-0095 says:
        dm-crypt in Linux kernel 2.6.15 and earlier does not clear a
        structure before it is freed, which leads to a memory
        disclosure that could allow local users to obtain sensitive
        information about a cryptographic key.

More details and the straightforward patch are here:

Comment 1 James Morris 2006-01-11 10:14:45 EST
Created attachment 123055 [details]
Upstream patch

Upstream patch, applies cleanly to RHEL4 tree, straightforward.
Comment 7 Red Hat Bugzilla 2006-03-07 16:09:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.